org.apache.cxf.service.model

## Class BindingMessageInfo

- java.lang.Object
- - org.apache.cxf.service.model.AbstractPropertiesHolder
  - - org.apache.cxf.service.model.BindingMessageInfo

- All Implemented Interfaces:
    Extensible

      public class BindingMessageInfo
      extends AbstractPropertiesHolder

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `BindingMessageInfo()`
    `protected` | `BindingMessageInfo(MessageInfo m, BindingOperationInfo boi)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BindingOperationInfo` | `getBindingOperation()`
    `MessageInfo` | `getMessageInfo()`
    `List<MessagePartInfo>` | `getMessageParts()`
    `void` | `setMessageParts(List<MessagePartInfo> messageParts)`

    - ### Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder

      `addExtensionAttribute, addExtensor, containsExtensor, equals, getDocumentation, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperties, getProperty, getProperty, getTraversedExtensor, hasProperty, removeProperty, setDelegate, setDocumentation, setExtensionAttributes, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BindingMessageInfo

          public BindingMessageInfo()

    - #### BindingMessageInfo

          protected BindingMessageInfo(MessageInfo m,
                                       BindingOperationInfo boi)

  - ### Method Detail

    - #### getMessageInfo

          public MessageInfo getMessageInfo()

    - #### getBindingOperation

          public BindingOperationInfo getBindingOperation()

    - #### getMessageParts

          public List<MessagePartInfo> getMessageParts()

    - #### setMessageParts

          public void setMessageParts(List<MessagePartInfo> messageParts)

Apache CXF